KoolReport's Forum

Official Support Area, Q&As, Discussions, Suggestions and Bug reports.
Forum's Guidelines

Detail installation for Dashboard #2949

Closed dhiya82 opened this topic on on Jan 17 - 6 comments

dhiya82 commented on Jan 17

Hi admin. Do you have more detail instruction of installations steps. Thank you.

KoolReport commented on Jan 18

Here is the detail instruction to install Dashboard Framework. The best way is to install with composer.

dhiya82 commented on Jan 18

What is composer? Can i have the details of it.

dhiya82 commented on Jan 18

Can please verify if this composer update is correct?

dhiya82 commented 5 days ago

Hi any update on the screenshot above?

Do you have video on dashboard installation like what you have for koolreport pro? Need your team support & advice. Thanks.

dhiya82 commented 5 days ago

Following are the steps i did. Please advice if it is wrong -

  1. Download KoolReport Pro v.6.0.6 & Dashboard Framework v.4.1.7 from My Licenses

  2. Copy the download files onto these folders respectively -

koolreport ├── pro ├── dashboard

  1. Click Get Tocken For Composer. Step 1: Create file auth.json. Step 2: List the packages you need in your composer.json.

  2. I execute composer update using visual studio code -- see image

dhiya82 commented 5 days ago

PS C:\Users\LENOVO\Documents\dashboard-demo> composer update Loading composer repositories with package information Info from https://repo.packagist.org: #StandWithUkraine Updating dependencies Your requirements could not be resolved to an installable set of packages.

Problem 1

- koolreport/pro[5.0.1, ..., 5.0.4] require koolreport/excel 8.0.1 -> satisfiable by koolreport/excel[8.0.1].
- koolreport/pro 5.7.0 requires koolreport/excel 8.5.0 -> satisfiable by koolreport/excel[8.5.0].
- koolreport/pro[4.0.0, ..., 4.1.2] require koolreport/excel 6.0.0 -> satisfiable by koolreport/excel[6.0.0].
- koolreport/pro[4.3.0, ..., 4.3.2] require koolreport/excel 7.0.0 -> satisfiable by koolreport/excel[7.0.0].
- koolreport/pro 4.5.0 requires koolreport/excel 7.1.0 -> satisfiable by koolreport/excel[7.1.0].
- koolreport/pro 4.5.1 requires koolreport/excel 7.1.1 -> satisfiable by koolreport/excel[7.1.1].
- koolreport/pro[4.7.0, ..., 4.7.1] require koolreport/excel 7.2.0 -> satisfiable by koolreport/excel[7.2.0].
- koolreport/pro 5.0.0 requires koolreport/excel 8.0.0 -> satisfiable by koolreport/excel[8.0.0].
- koolreport/pro[5.9.0, ..., 5.10.0] require koolreport/excel 9.0.0 -> satisfiable by koolreport/excel[9.0.0].
- koolreport/pro[5.16.0, ..., 5.16.2] require koolreport/excel 10.0.0 -> satisfiable by koolreport/excel[10.0.0].
- koolreport/pro 5.7.1 requires koolreport/excel 8.5.1 -> satisfiable by koolreport/excel[8.5.1].
- koolreport/pro[6.0.0, ..., 6.0.5] require koolreport/excel 10.5.0 -> satisfiable by koolreport/excel[10.5.0].
- koolreport/pro 6.0.6 requires koolreport/excel 10.5.1 -> satisfiable by koolreport/excel[10.5.1].
- koolreport/excel[8.0.1, ..., 8.5.0] require phpoffice/phpspreadsheet 1.10.* -> satisfiable 

by phpoffice/phpspreadsheet[1.10.0, 1.10.1].

- koolreport/excel[6.0.0, 7.0.0, ..., 7.1.1] require phpoffice/phpspreadsheet ^1.6 -> satisfiable by phpoffice/phpspreadsheet[1.6.0, ..., 1.26.0].
- koolreport/excel[7.2.0, 8.0.0] require phpoffice/phpspreadsheet ^1.10 -> satisfiable by phpoffice/phpspreadsheet[1.10.0, ..., 1.26.0].      
- koolreport/excel[8.5.1, 9.0.0, 10.0.0, ..., 10.5.1] require phpoffice/phpspreadsheet 1.* -> satisfiable by phpoffice/phpspreadsheet[1.0.0, ..., 1.26.0].
- phpoffice/phpspreadsheet[1.0.0, ..., 1.8.2] require php ^5.6|^7.0 -> your php version (8.2.1) does not satisfy that requirement.
- phpoffice/phpspreadsheet[1.9.0, ..., 1.12.0] require php ^7.1 -> your php version (8.2.1) does not satisfy that requirement.
- phpoffice/phpspreadsheet[1.13.0, ..., 1.14.1] require php ^7.2 -> your php version (8.2.1) does not satisfy that requirement.
- phpoffice/phpspreadsheet[1.15.0, ..., 1.26.0] require ext-fileinfo * -> it is missing from your system. Install or enable PHP's fileinfo extension.
- Root composer.json requires koolreport/pro * -> satisfiable by koolreport/pro[4.0.0, ..., 4.7.1, 5.0.0, ..., 5.16.2, 6.0.0, ..., 6.0.6].    

To enable extensions, verify that they are enabled in your .ini files:

- C:\php\php.ini

You can also run php --ini in a terminal to see which files are used by PHP in CLI mode. Alternatively, you can run Composer with --ignore-platform-req=ext-fileinfo to temporarily ignore these required extensions. PS C:\Users\LENOVO\Documents\dashboard-demo> composer update PHP Warning: PHP Startup: Unable to load dynamic library 'oci8_12c' (tried: ext\oci8_12c (The specified module could not be found), ext\php_oci8_12c.dll (The specified module could not be found)) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'oci8_12c' (tried: ext\oci8_12c (The specified module could not be found), ext\php_oci8_12c.dll (The specified module could not be found)) in Unknown on line 0 PHP Warning: PHP Startup: Unable to load dynamic library 'oci8_19' (tried: ext\oci8_19 (The specified module could not be found), ext\php_oci8_19.dll (The specified module could not be found)) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'oci8_19' (tried: ext\oci8_19 (The specified module could not be found), ext\php_oci8_19.dll (The specified module could not be found)) in Unknown on line 0 PHP Warning: PHP Startup: Unable to load dynamic library 'pdo_firebird' (tried: ext\pdo_firebird (The specified module could not be found), ext\php_pdo_firebird.dll (The specified module could not be found)) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'pdo_firebird' (tried: ext\pdo_firebird (The specified module could not be found), ext\php_pdo_firebird.dll (The specified module could not be found)) in Unknown on line 0 PHP Warning: PHP Startup: Unable to load dynamic library 'pdo_oci' (tried: ext\pdo_oci (The specified module could not be found), ext\php_pdo_oci.dll (The specified module could not be found)) in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library 'pdo_oci' (tried: ext\pdo_oci (The specified module could not be found), ext\php_pdo_oci.dll (The specified module could not be found)) in Unknown on line 0 Loading composer repositories with package information Updating dependencies Lock file operations: 70 installs, 0 updates, 0 removals - Locking bacon/bacon-qr-code (2.0.8) - Locking box/spout (v3.3.0) - Locking chromeheadlessio/php-client (1.3.1) - Locking daandesmedt/phpheadlesschrome (v1.1.1) - Locking dasprid/enum (1.0.3) - Locking doctrine/inflector (2.0.6) - Locking endroid/qr-code (4.7.0) - Locking ezyang/htmlpurifier (v4.16.0) - Locking illuminate/bus (v8.83.27) - Locking illuminate/collections (v8.83.27) - Locking illuminate/container (v8.83.27) - Locking illuminate/contracts (v8.83.27) - Locking illuminate/events (v8.83.27) - Locking illuminate/filesystem (v8.83.27) - Locking illuminate/macroable (v8.83.27) - Locking illuminate/pipeline (v8.83.27) - Locking illuminate/support (v8.83.27) - Locking illuminate/view (v8.83.27) - Locking its404/php-puppeteer (0.1.1) - Locking jenssegers/blade (v1.4.0) - Locking koolreport/amazing (2.1.3) - Locking koolreport/appstack (1.1.4) - Locking koolreport/barcode (3.0.1) - Locking koolreport/blade (1.0.0) - Locking koolreport/bootstrap3 (1.1.0) - Locking koolreport/bootstrap4 (1.5.0) - Locking koolreport/cache (1.2.0) - Locking koolreport/chartjs (3.2.0) - Locking koolreport/charttable (1.3.0) - Locking koolreport/cleandata (1.6.0) - Locking koolreport/cloudexport (4.1.0) - Locking koolreport/codeigniter (1.8.0) - Locking koolreport/core (6.0.1) - Locking koolreport/cube (3.5.0) - Locking koolreport/d3 (1.6.0) - Locking koolreport/datagrid (7.7.0) - Locking koolreport/drilldown (3.5.0) - Locking koolreport/excel (10.5.1) - Locking koolreport/export (5.2.0) - Locking koolreport/inputs (6.2.0) - Locking koolreport/instant (3.7.0) - Locking koolreport/laravel (2.0.0) - Locking koolreport/morris_chart (3.0.0) - Locking koolreport/pivot (9.0.1) - Locking koolreport/pro (6.0.6) - Locking koolreport/querybuilder (3.3.0) - Locking koolreport/sparklines (1.5.0) - Locking koolreport/statistics (1.2.0) - Locking koolreport/visualquery (2.0.0) - Locking koolreport/yii2 (1.0.0) - Locking maennchen/zipstream-php (v2.4.0) - Locking markbaker/complex (3.0.2) - Locking markbaker/matrix (3.0.1) - Locking mikehaertl/php-shellcommand (1.6.4) - Locking myclabs/php-enum (1.8.4) - Locking nesbot/carbon (2.65.0) - Locking phpoffice/phpspreadsheet (1.26.0) - Locking picqer/php-barcode-generator (v2.2.4) - Locking psr/container (1.1.2) - Locking psr/http-client (1.0.1) - Locking psr/http-factory (1.0.1) - Locking psr/http-message (1.0.1) - Locking psr/simple-cache (1.0.1) - Locking symfony/deprecation-contracts (v3.2.0) - Locking symfony/finder (v5.4.17) - Locking symfony/polyfill-mbstring (v1.27.0) - Locking symfony/polyfill-php80 (v1.27.0) - Locking symfony/translation (v6.2.3) - Locking symfony/translation-contracts (v3.2.0) - Locking voku/portable-ascii (1.6.1) Writing lock file Installing dependencies from lock file (including require-dev) Package operations: 70 installs, 0 updates, 0 removals - Downloading box/spout (v3.3.0) - Downloading chromeheadlessio/php-client (1.3.1) - Downloading mikehaertl/php-shellcommand (1.6.4) - Downloading daandesmedt/phpheadlesschrome (v1.1.1) - Downloading dasprid/enum (1.0.3) - Downloading doctrine/inflector (2.0.6) - Downloading bacon/bacon-qr-code (2.0.8) - Downloading endroid/qr-code (4.7.0) - Downloading voku/portable-ascii (1.6.1) - Downloading symfony/translation-contracts (v3.2.0) - Downloading symfony/polyfill-mbstring (v1.27.0) - Downloading symfony/translation (v6.2.3) - Downloading symfony/polyfill-php80 (v1.27.0) - Downloading nesbot/carbon (2.65.0) - Downloading illuminate/macroable (v8.83.27) - Downloading psr/simple-cache (1.0.1) - Downloading psr/container (1.1.2) - Downloading illuminate/contracts (v8.83.27) - Downloading illuminate/collections (v8.83.27) - Downloading illuminate/support (v8.83.27) - Downloading illuminate/pipeline (v8.83.27) - Downloading illuminate/bus (v8.83.27) - Downloading symfony/deprecation-contracts (v3.2.0) - Downloading symfony/finder (v5.4.17) - Downloading illuminate/filesystem (v8.83.27) - Downloading illuminate/container (v8.83.27) - Downloading illuminate/events (v8.83.27) - Downloading illuminate/view (v8.83.27) - Downloading its404/php-puppeteer (0.1.1) - Downloading jenssegers/blade (v1.4.0) - Downloading koolreport/blade (1.0.0) - Downloading koolreport/yii2 (1.0.0) - Downloading koolreport/visualquery (2.0.0) - Downloading koolreport/statistics (1.2.0) - Downloading koolreport/sparklines (1.5.0) - Downloading koolreport/querybuilder (3.3.0) - Downloading koolreport/pivot (9.0.1) - Downloading koolreport/morris_chart (3.0.0) - Downloading koolreport/laravel (2.0.0) - Downloading koolreport/instant (3.7.0) - Downloading koolreport/inputs (6.2.0) - Downloading koolreport/export (5.2.0) - Downloading psr/http-message (1.0.1) - Downloading psr/http-factory (1.0.1) - Downloading psr/http-client (1.0.1) - Downloading markbaker/matrix (3.0.1) - Downloading markbaker/complex (3.0.2) - Downloading myclabs/php-enum (1.8.4) - Downloading maennchen/zipstream-php (v2.4.0) - Downloading ezyang/htmlpurifier (v4.16.0) - Downloading phpoffice/phpspreadsheet (1.26.0) - Downloading koolreport/excel (10.5.1) - Downloading koolreport/drilldown (3.5.0) - Downloading koolreport/datagrid (7.7.0) - Downloading koolreport/d3 (1.6.0) - Downloading koolreport/cube (3.5.0) - Downloading koolreport/codeigniter (1.8.0) - Downloading koolreport/cloudexport (4.1.0) - Downloading koolreport/cleandata (1.6.0) - Downloading koolreport/charttable (1.3.0) - Downloading koolreport/chartjs (3.2.0) - Downloading koolreport/cache (1.2.0) - Downloading koolreport/bootstrap4 (1.5.0) - Downloading koolreport/bootstrap3 (1.1.0) - Downloading picqer/php-barcode-generator (v2.2.4) - Downloading koolreport/barcode (3.0.1) - Downloading koolreport/appstack (1.1.4) - Downloading koolreport/amazing (2.1.3) - Downloading koolreport/pro (6.0.6) - Installing box/spout (v3.3.0): Extracting archive - Installing chromeheadlessio/php-client (1.3.1): Extracting archive - Installing mikehaertl/php-shellcommand (1.6.4): Extracting archive - Installing daandesmedt/phpheadlesschrome (v1.1.1): Extracting archive - Installing dasprid/enum (1.0.3): Extracting archive - Installing doctrine/inflector (2.0.6): Extracting archive - Installing bacon/bacon-qr-code (2.0.8): Extracting archive - Installing endroid/qr-code (4.7.0): Extracting archive - Installing voku/portable-ascii (1.6.1): Extracting archive - Installing symfony/translation-contracts (v3.2.0): Extracting archive - Installing symfony/polyfill-mbstring (v1.27.0): Extracting archive - Installing symfony/translation (v6.2.3): Extracting archive - Installing symfony/polyfill-php80 (v1.27.0): Extracting archive - Installing nesbot/carbon (2.65.0): Extracting archive - Installing illuminate/macroable (v8.83.27): Extracting archive - Installing psr/simple-cache (1.0.1): Extracting archive - Installing psr/container (1.1.2): Extracting archive - Installing illuminate/contracts (v8.83.27): Extracting archive - Installing illuminate/collections (v8.83.27): Extracting archive - Installing illuminate/support (v8.83.27): Extracting archive - Installing illuminate/pipeline (v8.83.27): Extracting archive - Installing illuminate/bus (v8.83.27): Extracting archive - Installing symfony/deprecation-contracts (v3.2.0): Extracting archive - Installing symfony/finder (v5.4.17): Extracting archive - Installing illuminate/filesystem (v8.83.27): Extracting archive - Installing illuminate/container (v8.83.27): Extracting archive - Installing illuminate/events (v8.83.27): Extracting archive - Installing illuminate/view (v8.83.27): Extracting archive - Installing its404/php-puppeteer (0.1.1): Extracting archive - Installing jenssegers/blade (v1.4.0): Extracting archive - Installing koolreport/blade (1.0.0): Extracting archive - Installing koolreport/yii2 (1.0.0): Extracting archive - Installing koolreport/visualquery (2.0.0): Extracting archive - Installing koolreport/statistics (1.2.0): Extracting archive - Installing koolreport/sparklines (1.5.0): Extracting archive - Installing koolreport/querybuilder (3.3.0): Extracting archive - Installing koolreport/pivot (9.0.1): Extracting archive - Installing koolreport/morris_chart (3.0.0): Extracting archive - Installing koolreport/laravel (2.0.0): Extracting archive - Installing koolreport/instant (3.7.0): Extracting archive - Installing koolreport/inputs (6.2.0): Extracting archive - Installing koolreport/export (5.2.0): Extracting archive - Installing psr/http-message (1.0.1): Extracting archive - Installing psr/http-factory (1.0.1): Extracting archive - Installing psr/http-client (1.0.1): Extracting archive - Installing markbaker/matrix (3.0.1): Extracting archive - Installing markbaker/complex (3.0.2): Extracting archive - Installing myclabs/php-enum (1.8.4): Extracting archive - Installing maennchen/zipstream-php (v2.4.0): Extracting archive - Installing ezyang/htmlpurifier (v4.16.0): Extracting archive - Installing phpoffice/phpspreadsheet (1.26.0): Extracting archive - Installing koolreport/excel (10.5.1): Extracting archive - Installing koolreport/drilldown (3.5.0): Extracting archive - Installing koolreport/datagrid (7.7.0): Extracting archive - Installing koolreport/d3 (1.6.0): Extracting archive - Installing koolreport/cube (3.5.0): Extracting archive - Installing koolreport/core (6.0.1): Extracting archive - Installing koolreport/codeigniter (1.8.0): Extracting archive - Installing koolreport/cloudexport (4.1.0): Extracting archive - Installing koolreport/cleandata (1.6.0): Extracting archive - Installing koolreport/charttable (1.3.0): Extracting archive - Installing koolreport/chartjs (3.2.0): Extracting archive - Installing koolreport/cache (1.2.0): Extracting archive - Installing koolreport/bootstrap4 (1.5.0): Extracting archive - Installing koolreport/bootstrap3 (1.1.0): Extracting archive - Installing picqer/php-barcode-generator (v2.2.4): Extracting archive - Installing koolreport/barcode (3.0.1): Extracting archive - Installing koolreport/appstack (1.1.4): Extracting archive - Installing koolreport/amazing (2.1.3): Extracting archive - Installing koolreport/pro (6.0.6): Extracting archive 29 package suggestions were added by new dependencies, use composer suggest to see details. Package box/spout is abandoned, you should avoid using it. No replacement was suggested. Generating autoload files 14 packages you are using are looking for funding. Use the composer fund command to find out more! No security vulnerability advisories found

Build Your Excellent Data Report

Let KoolReport help you to make great reports. It's free & open-source released under MIT license.

Download KoolReport View demo
None yet

None